function getSwiperImages(){
    if(config.keyData.picAttachments && config.keyData.picAttachments.length>0 && $("#pic_view_res .swiper-slide").length === 0){
        tool.enableSwipeBack(false)
        var attachments = config.keyData.picAttachments
        var swiperImages = []
        var hasVideoFirst = false
        for(var i = 0; i < attachments.length;i++){
            var url = attachments[i].url
            url = url.toLowerCase()

            // if(!(confirmEnding(url,'.gif'))){
                var imgInfo = attachments[i].url.match(/(([0-9]+)x([0-9]+))/i)
                if(imgInfo){
                    attachments[i].width = imgInfo[2]
                    attachments[i].height = imgInfo[3]
                    attachments[i].width_height = Number((Number(imgInfo[2])/Number(imgInfo[3])).toFixed(2)*100)
                }
                if(confirmEnding(url,'.mp4')){
                    attachments[i].video_url = attachments[i].url
                    attachments[i].url = attachments[i].url+'.png'
                }
                if(confirmEnding(url,'.mp4') && !hasVideoFirst){
                    hasVideoFirst = true
                    swiperImages.unshift(attachments[i])
                }else {
                    swiperImages.push(attachments[i])
                }

            // }
        }
        if(swiperImages.length>20){
            swiperImages = swiperImages.slice(0,20)
        }
        // 轮播图
        setPicView(swiperImages)
    }
}
function changeWidthHeight(width,height) {
    return Number(((width/height).toFixed(2))*100)
}
function setPicView(pic_array) {
    var html = ''
    var swiper_width = window.innerWidth
    var swiper_height = 'auto'
    var type = 0
    /**
     * 根据第一张图片的尺寸展示图片区域的高度，后面的图片根据第一张图片的高度进行适配 type 0--> 3:4  1--> 1:1 2--> 4:3
     * @author mint 2020/10/21
     */
    for (var i = 0; i < pic_array.length; i++) {
        var width_height = pic_array[i].width_height

        if(i === 0){
            if(width_height<= changeWidthHeight(7,8)){
                type = 0
                swiper_height = window.innerWidth * (4/3)
            }else if(changeWidthHeight(7,8)< width_height &&  width_height<= changeWidthHeight(7,6)){
                type = 1
                swiper_height = window.innerWidth
            }else {
                type = 2
                swiper_height = window.innerWidth * (3/4)
            }
        }
        switch(type)
        {
            case 0:
                if(width_height< changeWidthHeight(1,2)){
                    pic_array[i].img_height = swiper_height
                    pic_array[i].img_width = pic_array[i].width
                    pic_array[i].max_width = swiper_width
                }else if(changeWidthHeight(1,2)<= width_height && width_height < changeWidthHeight(5,8)){
                    pic_array[i].img_height = swiper_height
                    pic_array[i].img_width = swiper_height * (pic_array[i].width/pic_array[i].height)
                }else if(changeWidthHeight(5,8)<= width_height && width_height < changeWidthHeight(3,4)){
                    pic_array[i].img_width = swiper_width
                }else if(changeWidthHeight(3,4)<= width_height && width_height <= changeWidthHeight(7,8)){
                    pic_array[i].img_height = swiper_height
                    pic_array[i].img_width = swiper_width
                }else if(changeWidthHeight(7,8)< width_height && width_height <= changeWidthHeight(2,1)){
                }else {
                    pic_array[i].img_height = swiper_height*(1/2)
                    pic_array[i].img_width = pic_array[i].img_height*(pic_array[i].width/pic_array[i].height)
                }
                break;
            case 1:
                if(width_height< changeWidthHeight(2,3)){
                    pic_array[i].img_height = swiper_height
                    pic_array[i].img_width = pic_array[i].width
                    pic_array[i].max_width = swiper_width*(2/3)
                }else if(changeWidthHeight(2,3)<= width_height && width_height < changeWidthHeight(3,4)){
                    pic_array[i].img_height = swiper_height
                    pic_array[i].img_width = swiper_height * (pic_array[i].width/pic_array[i].height)
                }else if(changeWidthHeight(3,4)<= width_height && width_height < changeWidthHeight(1,1)){
                    pic_array[i].img_width = swiper_width
                }else if(changeWidthHeight(1,1)<= width_height && width_height <= changeWidthHeight(4,3)){
                    pic_array[i].img_height = swiper_height
                    pic_array[i].img_width = swiper_width
                }else if(changeWidthHeight(4,3)< width_height && width_height <= changeWidthHeight(3,2)){
                }else {
                    pic_array[i].img_height = swiper_height*(2/3)
                    pic_array[i].img_width = pic_array[i].img_height*(pic_array[i].width/pic_array[i].height)
                }
                break;
            default:
                if(width_height< changeWidthHeight(8,9)){
                    // console.log('<8:9');
                    pic_array[i].img_height = swiper_height
                    pic_array[i].img_width = pic_array[i].width
                    pic_array[i].max_width = swiper_width*(8/9)
                }else if(changeWidthHeight(8,9)<= width_height && width_height < changeWidthHeight(1,1)){
                    // console.log('8:9<=图片比例<1:1');
                    pic_array[i].img_height = swiper_height
                }else if(changeWidthHeight(1,1)<= width_height && width_height < changeWidthHeight(4,3)){
                    // console.log('1:1<=图片比例<4:3');
                    pic_array[i].img_width = swiper_width
                    pic_array[i].img_height = swiper_width / (pic_array[i].width/pic_array[i].height)
                }else if(changeWidthHeight(4,3)<= width_height && width_height <= changeWidthHeight(8,5)){
                    // console.log('4:3<=图片比例<=8:5');
                    pic_array[i].img_height = swiper_height
                    pic_array[i].img_width = swiper_width
                }else if(changeWidthHeight(8,5)< width_height && width_height <= changeWidthHeight(8,3)){
                    // console.log('8:5<图片比例<=8:3');
                }else {
                    // console.log('图片比例>8:3');
                    pic_array[i].img_height = swiper_height*(1/2)
                    pic_array[i].img_width = pic_array[i].img_height*(pic_array[i].width/pic_array[i].height)
                }

        }
        var need_play_icon = pic_array[i].video_url?'need_play_icon':''
        if( need_play_icon){
            html += '<div class="swiper-slide" id="pic-view-'+ i +'"><div class="swiper_pic" style="width:'+ pic_array[i].img_width +'px;height:'+ pic_array[i].img_height +'px;max-width:'+ pic_array[i].max_width +'px;"><div class="video19"><video controls="" preload="none" poster="' + pic_array[i].url + '" class="video-js vjs-default-skin vjs-big-play-centered" style="width:100%; height:100%" webkit-playsinline="true" playsinline="true" ><source src="' + pic_array[i].video_url + '" type="video/mp4"></video></div></div></div>'
        }else {
            html += '<div class="swiper-slide" id="pic-view-'+ i +'"><div class="swiper_pic" style="width:'+ pic_array[i].img_width +'px;height:'+ pic_array[i].img_height +'px;max-width:'+ pic_array[i].max_width +'px;"><img src="' + pic_array[i].url + '"  class="'+ need_play_icon +'"  /></div></div>'
        }
    }
    $('.swiper-container-pic .swiper-wrapper').first().html(html)
    // 预加载前两张图
    for (var i = 0; i < 2; i++) {
        var nextIndex = i
        if(pic_array[nextIndex]){
            if(!$('#pic-view-'+ nextIndex).hasClass('has-bg')){
                var colorThief = new ColorThief();
                var temp_url = ''
                if(pic_array[nextIndex].video_url){
                    temp_url = pic_array[nextIndex].url
                }else {
                    temp_url = pic_array[nextIndex].url.replace("att2.citysbs.com","att3.citysbs.com/120x")
                }
                colorThief.getColorAsync(temp_url, function(color,img,nextIndex){
                    $('#pic-view-'+ nextIndex).css('background','linear-gradient(rgb('+Number(color[0]+50)+','+Number(color[1]+50)+','+Number(color[2]+50)+'),rgb('+color[0]+','+color[1]+','+color[2]+')')
                    $('#pic-view-'+ nextIndex).addClass('has-bg')
                }, 100, nextIndex);
            }
        }
    }
    setTimeout(function () {
        $('.need_play_icon').before('<div class="play-icon"></div>')
    },1000)
    if (pic_array.length > 0) {
        $('.pic_num').eq(0).children().eq(0).html('1/' + pic_array.length)
    }
    var swiper = new Swiper6('.swiper-container-pic', {
        on:{
            click: function(swiper,event){
                // if(event.target.className.indexOf('video_play_btn') > -1 && event.target.previousSibling.nodeName == "VIDEO"){
                //     event.target.previousSibling.play()
                //     event.target.remove();
                //     event.stopPropagation()
                //     event.preventDefault()
                //     return false
                // }
                if(pic_array[swiper.activeIndex].video_url){
                    event.stopPropagation()
                    event.preventDefault()
                    return false
                }else {
                    // alert(swiper.activeIndex);
                    var r_json = {}
                    var  big_pic_url = pic_array[swiper.activeIndex].url
                    var list = []
                    var img_alt = []
                    for(var i = 0; i < pic_array.length;i++){
                        if(!pic_array[i].video_url){
                            list.push(pic_array[i].url)
                            img_alt.push("")
                        }
                    }
                    r_json.pid = config.keyData.pid + ''
                    r_json.img_list = list
                    r_json.img_alt = img_alt;
                    r_json.current_img = big_pic_url
                    connectWebViewJavascriptBridge(function(bridge){
                        bridge.showPhotoes(JSON.stringify(r_json));
                    });
                }
            },
            slideChangeTransitionEnd:function(swiper){
                // var swiper = this
                var num = swiper.activeIndex + 1 + '/' + pic_array.length
                $('.pic_num').eq(0).children().eq(0).html(num)
                //停止上一个页面的视频播放
                var lastIndex = swiper.activeIndex - 1
                lastIndex= lastIndex<=0?0:lastIndex
                if(pic_array[lastIndex].video_url){
                    $('#pic-view-'+ lastIndex +' video').trigger('pause')
                }
                // 预加载后三张图
                for (var i = 0; i < 3; i++) {
                    var nextIndex = Number(swiper.activeIndex)+i+1
                    if(pic_array[nextIndex]){
                        if(!$('#pic-view-'+ nextIndex).hasClass('has-bg')){
                            var colorThief = new ColorThief();
                            var temp_url = ''
                            if(pic_array[nextIndex].video_url){
                                temp_url = pic_array[nextIndex].url
                            }else {
                                temp_url = pic_array[nextIndex].url.replace("att2.citysbs.com","att3.citysbs.com/120x")
                            }
                            colorThief.getColorAsync(temp_url, function(color,img,nextIndex){
                                $('#pic-view-'+ nextIndex).css('background','linear-gradient(rgb('+Number(color[0]+50)+','+Number(color[1]+50)+','+Number(color[2]+50)+'),rgb('+color[0]+','+color[1]+','+color[2]+')')
                                $('#pic-view-'+ nextIndex).addClass('has-bg')
                            }, 100, nextIndex);
                        }
                    }
                }
            }
        }       
    });
    $('#pic_view_res .swiper-slide').css('height',swiper_height+'px')
}
function confirmEnding(str, target) {
    var start = str.length - target.length;
    var arr = str.substr(start, target.length);
    if (arr == target) {
        return true;
    }
    return false;
}
var setThread = function () {
    //判断24行
    // var message = $('.thread_message')[0];
    // var styles = window.getComputedStyle(message, null);
    // var lh = parseInt(styles.lineHeight, 10);
    // var h = parseInt(styles.height, 10);
    // var lc = Math.round(h / lh);
    // if(lc>=24){
    //     $(message).next().show()
    // }else{
    //     $(message).next().hide()
    // }
}

// setTimeout(() => {
//     getSwiperImages();
//     // setThread()
// },1000);

